org.apache.flume.instrumentation

## Class ChannelCounter

- java.lang.Object
- - org.apache.flume.instrumentation.MonitoredCounterGroup
  - - org.apache.flume.instrumentation.ChannelCounter

- All Implemented Interfaces:
    ChannelCounterMBean
  Direct Known Subclasses:
    KafkaChannelCounter

      public class ChannelCounter
      extends MonitoredCounterGroup
      implements ChannelCounterMBean

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `MonitoredCounterGroup.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelCounter(String name)`
    `ChannelCounter(String name, String[] attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addToEventPutSuccessCount(long delta)`
    `long` | `addToEventTakeSuccessCount(long delta)`
    `long` | `getChannelCapacity()`
    `double` | `getChannelFillPercentage()`
    `long` | `getChannelSize()`
    `long` | `getEventPutAttemptCount()`
    `long` | `getEventPutSuccessCount()`
    `long` | `getEventTakeAttemptCount()`
    `long` | `getEventTakeSuccessCount()`
    `long` | `incrementEventPutAttemptCount()`
    `long` | `incrementEventTakeAttemptCount()`
    `void` | `setChannelCapacity(long capacity)`
    `void` | `setChannelSize(long newSize)`

    - ### Methods inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `addAndGet, get, getStartTime, getStopTime, getType, increment, set, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.instrumentation.ChannelCounterMBean

      `getStartTime, getStopTime, getType`

- - ### Constructor Detail

    - #### ChannelCounter

          public ChannelCounter(String name)

    - #### ChannelCounter

          public ChannelCounter(String name,
                        String[] attributes)

  - ### Method Detail

    - #### getChannelSize

          public long getChannelSize()

      Specified by:
        `getChannelSize` in interface `ChannelCounterMBean`

    - #### setChannelSize

          public void setChannelSize(long newSize)

    - #### getEventPutAttemptCount

          public long getEventPutAttemptCount()

      Specified by:
        `getEventPutAttemptCount` in interface `ChannelCounterMBean`

    - #### incrementEventPutAttemptCount

          public long incrementEventPutAttemptCount()

    - #### getEventTakeAttemptCount

          public long getEventTakeAttemptCount()

      Specified by:
        `getEventTakeAttemptCount` in interface `ChannelCounterMBean`

    - #### incrementEventTakeAttemptCount

          public long incrementEventTakeAttemptCount()

    - #### getEventPutSuccessCount

          public long getEventPutSuccessCount()

      Specified by:
        `getEventPutSuccessCount` in interface `ChannelCounterMBean`

    - #### addToEventPutSuccessCount

          public long addToEventPutSuccessCount(long delta)

    - #### getEventTakeSuccessCount

          public long getEventTakeSuccessCount()

      Specified by:
        `getEventTakeSuccessCount` in interface `ChannelCounterMBean`

    - #### addToEventTakeSuccessCount

          public long addToEventTakeSuccessCount(long delta)

    - #### setChannelCapacity

          public void setChannelCapacity(long capacity)

    - #### getChannelCapacity

          public long getChannelCapacity()

      Specified by:
        `getChannelCapacity` in interface `ChannelCounterMBean`

    - #### getChannelFillPercentage

          public double getChannelFillPercentage()

      Specified by:
        `getChannelFillPercentage` in interface `ChannelCounterMBean`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.